# DOCKER REGISTRE AVEC UI

Ce projet a pour but d'instancier un registre Docker sécurisé par mot de passe et 
accessible via une UI. Votre Docker Hub!

### CREATION D'UN PASSWORD:

Ici, remplacer testuser et testpassword par le nom d'utilisateur et le mot de passe désiré.
```sh
sudo apt-get install apache2-utils
htpasswd -Bbn testuser testpassword > auth/htpasswd
```

### LANCER LA STACK
```sh
docker-compose up -d
```

### SE CONNECTER A L'ADRESSE:
http://locahost:8087

### POUSSER UNE IMAGE:

Login au docker registry (nécessaire une fois):
```sh
docker login localhost:5000          
```

Entrer l'utilisateur et le mot de passe créés plus tôt, puis:
```sh
docker tag localhost/mon_image:tag
docker push localhost/mon_image:tag
```
### MAINTENACE REGISTRE:

Dans le dossier utils du projet, vous trouverez des scripts de maintenance de votre registre. Ils nécessitent des champs à renseigner tel que l'adresse du registre ou le chemin de stockage de votre volume contenant les images du registre.

#### STACK-BACKUP-REGISTRY

1) Renseigner lURL du registre

2) Créer un crontab pour sauvegarde quotidienne:
```bash
crontab -e
```

3) Configurer l'heure de sauvegarde (ici, à 00h00 chaque jours):
```bash
0 0 * * * /path/docker/utils/stack-backup-registry.sh
```

#### REGISTRY-IMAGE-CLEANING

1) Copier regctl:
```bash
sudo mv utils/regctl /usr/bin/
```

2) Renseigner /path/docker/utils/registry-image-cleaning.sh

3) Créer une crontab:
```bash
crontab -e
```

4) A la fin du fichier, y placer la fréquence de la crontab ainsi que le chemin du script:
```bash
0 0 * * * /path/docker/utils/registry-image-cleaning.sh
```
